<?php

require_once 'Text/Wiki/Render/Xhtml/Image.php';

/**
 * This class renders an inline image.
 *
 * $Horde: wicked/lib/Text_Wiki/Render/Xhtml/Image2.php,v 1.4 2005/07/19 10:54:39 jan Exp $
 *
 * @package Wicked
 */
class Text_Wiki_Render_Xhtml_Image2 extends Text_Wiki_Render_Xhtml_Image {

    var $conf = array(
        'base' => '',
        'url_base' => null,
        'css'  => null,
        'css_link' => null
    );

    /**
     * Renders a token into text matching the requested format.
     *
     * @param array $options  The "options" portion of the token (second
     *                        element).
     *
     * @return string  The text rendered from the token options.
     */
    function token($options)
    {
        if (!isset($options['attr']['alt'])) {
            $options['attr']['alt'] = $options['src'];
        }

        if (strpos($options['src'], '://') === false) {
            if ($options['src']{0} != '/') {
                $page = Util::getFormData('page');
                if ($page == 'EditPage') {
                    $page = Util::getFormData('referrer');
                }
                if (empty($page)) {
                    $page = 'WikiHome';
                }
                $params = array('page' => $page,
                                'mime' => '1',
                                'file' => $options['src']);
                $options['src'] = Util::addParameter(Horde::applicationUrl('attachment.php', true),
                                                     $params, null, false);
            }
        } else {
            $options['src'] = Util::addParameter(Horde::externalUrl($options['src']), 'untrusted', 1, false);
        }
        
        return parent::token($options);
    }

}
