<?php
/**
 * $Horde: wicked/lib/Text_Wiki/Render/Xhtml/Url.php,v 1.6 2005/07/03 01:59:04 selsky Exp $
 *
 * @package Wicked
 */
class Text_Wiki_Render_Xhtml_Url extends Text_Wiki_Render {

    var $conf = array(
        'target' => '_blank'
    );

    /**
     * Renders a token into text matching the requested format.
     *
     * @param array $options  The "options" portion of the token (second
     *                        element).
     *
     * @return string  The text rendered from the token options.
     */
    function token($options)
    {
        // Create local variables from the options array (text, href,
        // type).
        extract($options);

        // Find the rightmost dot and determine the filename
        // extension.
        $pos = strrpos($href, '.');
        $ext = strtolower(substr($href, $pos + 1));
        $href = htmlspecialchars($href);

        // Allow for alternative targets on non-anchor HREFs.
        if ($href{0} == '#') {
            $target = '';
        } else {
            $target = $this->getConf('target', '');
        }

        if ($target) {
               $target = ' target="' . htmlspecialchars($target) . '"';
        }

        $text = htmlspecialchars($text);
        $output = Horde::link(Horde::externalUrl($href), $href, '', $target) . $text . '</a>';

        // Make numbered references look like footnotes.
        if ($type == 'footnote') {
            $output = '<sup>' . $output . '</sup>';
        }

        return $output;
    }

}
