<?php
/**
 * Wicked external API interface.
 *
 * $Horde: wicked/lib/api.php,v 1.14 2005/07/11 23:27:07 chuck Exp $
 *
 * This file defines Wicked's external API interface. Other applications
 * can interact with Wicked through this API.
 *
 * @package Wicked
 */

$_services['perms'] = array(
    'args' => array(),
    'type' => 'array'
);


function _wicked_perms()
{
    static $perms = array();
    if (!empty($perms)) {
        return $perms;
    }

    require_once dirname(__FILE__) . '/base.php';
    global $wicked;

    $perms['tree']['wicked']['pages'] = array();
    $perms['title']['wicked:pages'] = _("Pages");

    foreach ($wicked->getPages() as $pageName) {
        $pageId = $wicked->getPageId($pageName);
        $perms['tree']['wicked']['pages'][$pageId] = false;
        $perms['title']['wicked:pages:' . $pageId] = $pageName;
    }

    ksort($perms['tree']['wicked']['pages']);
    return $perms;
}
