<?php
/**
 * $Horde: wicked/test.php,v 1.1 2005/01/29 10:37:54 jan Exp $
 *
 * Copyright 2005 Jan Schneider <jan@horde.org>
 *
 * See the enclosed file COPYING for license information (LGPL).  If you did
 * not receive this file, see http://www.fsf.org/copyleft/lgpl.html.
 */

/* Include Horde's core.php file. */
include_once '../lib/core.php';

/* We should have loaded the String class, from the Horde_Util package, in
 * core.php. If String:: isn't defined, then we're not finding some critical
 * libraries. */
if (!class_exists('String')) {
    echo '<br /><span style="color: red; font-size: 18px; font-weight: bold;">The Horde_Util package was not found. If PHP\'s error_reporting setting is high enough, there should be error messages printed above that may help you in debugging the problem. If you are simply missing these files, then you need to get the <a href="http://cvs.horde.org/cvs.php/framework">framework</a> module from <a href="http://horde.org/source/">Horde CVS</a>, and install the packages in it with the install-packages.php script.</span>';
    exit;
}

/* Initialize the Horde_Test:: class. */
if (!(@is_readable('../lib/Test.php'))) {
    echo 'ERROR: You must install Horde before running this script.';
    exit;
}
require_once '../lib/Test.php';
$horde_test = &new Horde_Test;

/* Wicked version. */
$module = 'Wicked';
require_once './lib/version.php';
$module_version = WICKED_VERSION;

require TEST_TEMPLATES . 'header.inc';
require TEST_TEMPLATES . 'version.inc';

/* Display PHP Version information. */
$php_info = $horde_test->getPhpVersionInformation();
require TEST_TEMPLATES . 'php_version.inc';

/* PEAR */
$pear_list = array(
    'Text_Wiki' => array(
        'path' => 'Text/Wiki.php',
        'error' => 'The Text_Wiki module is required to parse and render the wiki markup in Wicked.',
        'required' => true,
        'function' => '_check_pear_text_wiki_version'
    ),
);

/* Additional check for PEAR Text_Wiki module for its version. */
function _check_pear_text_wiki_version()
{
    if (!is_callable(array('Text_Wiki', 'setRenderConf'))) {
        return 'Your version of Text_Wiki is not recent enough.';
    }
}

?>
<h1>PEAR Modules</h1>
<ul>
    <?php echo $horde_test->PEARModuleCheck($pear_list) ?>
</ul>

<?php
require TEST_TEMPLATES . 'footer.inc';
